# SENTStationaryEvent

Represents a duration of time when the user was stationary.

### SENTStationaryEvent API

{% hint style="info" %}
This class extends SENTTimelineEvent. See [SENTTimelineEvent](/important-topics/sdk/api-reference/ios/event-timeline/senttimelineevent.md) for additional properties and methods.
{% endhint %}

### isEqual

```swift
func isEqual(to stationaryEvent: SENTStationaryEvent) -> Bool
```

### location

The location where the user is stationary at. `nil` the location is unknown.

```swift
var location: SENTGeolocation?
```

### venue

The venue where the user is stationary at.

```swift
var venue: SENTVenue
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/event-timeline/senttimelineevent/sentstationaryevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
